Page MenuHomePhabricator

Count incorrect in edit summary
Closed, InvalidPublic

Description

https://en.wikipedia.org/w/index.php?diff=prev&oldid=838866179

Edit summary says "Rescuing 13 sources and tagging 0 as dead" but in reality, one was marked as dead.

Event Timeline

czar created this task.Apr 29 2018, 8:09 PM
Cirdan added a subscriber: Cirdan.Apr 29 2018, 9:38 PM
Cirdan moved this task from Inbox to Other bugs on the InternetArchiveBot board.May 1 2018, 3:02 PM
Vvjjkkii renamed this task from Count incorrect in edit summary to e0daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii removed Cyberpower678 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii added a subscriber: Cyberpower678.
Green_Cardamom renamed this task from e0daaaaaaa to Count incorrect in edit summary.Jul 1 2018, 5:00 AM
Green_Cardamom assigned this task to Cyberpower678.
Green_Cardamom raised the priority of this task from High to Needs Triage.
Green_Cardamom updated the task description. (Show Details)
Green_Cardamom removed a subscriber: Cyberpower678.
Cirdan added a comment.Sep 7 2018, 5:52 PM

@czar Did you come across any similar cases with the new 2.0betas? If not, we can consider this bug resolved.

Cyberpower678 closed this task as Invalid.Oct 27 2018, 5:13 PM

I count 13 rescued links in that edit. So the count is correct.

czar added a comment.Oct 28 2018, 12:36 PM

@Cirdan nope, thanks! but I'll keep an eye out

@Cyberpower678 the fourth change down was |deadurl=yes so maybe this is just terminology? The edit summary Rescuing 13 sources and tagging 0 as dead. #IABot (v1.6.5) implies that 13 archive URLs were added and none of the original sources were dead, when in reality, "Rescued 13 sources, of which one was dead." Does this mean that the second number, as used, is meant to denote sources that could not be rescued? Might be better to clarify that, e.g., "Added 13 archive URLs; unable to rescue 2 dead links."

I think of the bot's main functions as rescuing dead links, adding archive URLs for not-yet-dead links, and marking dead links that cannot be rescued. Would be nice to have those counts reflected in the summary when >0

As there are bots that rely on this summary to track the bot’s activities, I’d really rather not. The terminology is explained in the FaQ